std::filesystem::directory_entry::operator==,!=,,>=,(3)

NAME
std::filesystem::directory_entry::operator==,!=,,>=, - std::filesystem::directory_entry::operator==,!=,,>=,

Synopsis
   bool operator==( const directory_entry& rhs ) const noexcept; (1) (since C++17)
   bool operator!=( const directory_entry& rhs ) const noexcept; (2) (since C++17)
                        (until C++20)
   bool operator<( const directory_entry& rhs ) const noexcept; (3) (since C++17)
                        (until C++20)
   bool operator<=( const directory_entry& rhs ) const noexcept; (4) (since C++17)
                        (until C++20)
   bool operator>( const directory_entry& rhs ) const noexcept; (5) (since C++17)
                        (until C++20)
   bool operator>=( const directory_entry& rhs ) const noexcept; (6) (since C++17)
                        (until C++20)
   std::strong_ordering operator<=>( const directory_entry& rhs ) (7) (since C++20)
   const noexcept;
   Compares the path with the directory entry rhs.
   The <, <=, >, >=, and != operators are synthesized from operator<=> (since C++20)
   and operator== respectively.

Parameters
   rhs - directory_entry to compare

Return value
   1) true if path() == rhs.path(), false otherwise.
   2) true if path() != rhs.path(), false otherwise.
   3) true if path() < rhs.path(), false otherwise.
   4) true if path() <= rhs.path(), false otherwise.
   5) true if path() > rhs.path(), false otherwise.
   6) true if path() >= rhs.path(), false otherwise.
   7) The result of path() <=> rhs.path().

See also
   path returns the path the entry refers to
   operator const path& (public member function)